Bug 42792 - sendmail would not forward to a program
Summary: sendmail would not forward to a program
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-30 04:33 UTC by Dmitri A. Sergatskov
Modified: 2007-04-18 16:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-15 04:07:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dmitri A. Sergatskov 2001-05-30 04:33:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i586)

Description of problem:
Sendmail would not forward to a program. As a result the vacation program
(from powertools 7.1) would not work as well. 

How reproducible:
Always

Steps to Reproduce:
1.Instal vacation on somehost
2.initiate vacation program as someuser
3.send e-mail to the someuser@somehost
	

Actual Results:     ----- The following addresses had permanent fatal
errors -----
"|vacation someuser"
    (reason: 550 Unsafe for mailing to programs)
  

Additional info:

Comment 1 Tethys 2001-06-25 22:22:22 UTC
This is just a permissions issue. Sendmail will refuse to forward to
programs if your .forward is group or world writable. This is because
it lets anyone with write access to your .forward file run any program
as you (a *huge* security risk). To fix, just "chmod go-w $HOME/.forward"

Comment 2 Dmitri A. Sergatskov 2001-06-25 23:06:36 UTC
No it is not a (file) permission issue. It was chmod 600. 
This is most likely RedHat "improving" on sendmail default configuration.


Comment 3 Dmitri A. Sergatskov 2001-06-30 22:27:32 UTC
After I replaced sendmail with postfix, vacation works.

Comment 4 Stephen Walton 2001-07-15 04:07:06 UTC
I hereby confirm dima's bug report and that his workaround (replace sendmail 
with postfix) works.  RH 7.1, clean install.  "chmod 0600 ~/.forward" does not 
help.




Comment 5 Florian La Roche 2001-08-06 10:28:53 UTC
sendmail has more checks for permission problems and everything works
fine, if I test these things here.

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.